### Hierarchy

- unknown
  - GetChatMessagesReply

## Index

### Constructors

- constructor

### Methods

- addMessage
- clearMessageList
- getMessageList
- serializeBinary
- setMessageList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetChatMessagesReply(): GetChatMessagesReply

- Inherited from jspb.Message.constructor

  #### Returns GetChatMessagesReply

## Methods

### addMessage

- addMessage(value?: ChatMessage, index?: number): ChatMessage

- - Defined in src/protobuf/grpc_pb.d.ts:2561

  #### Parameters

  - ##### Optional value: ChatMessage

  - ##### Optional index: number

  #### Returns ChatMessage

### clearMessageList

- clearMessageList(): GetChatMessagesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2560

  #### Returns GetChatMessagesReply

### getMessageList

- getMessageList(): ChatMessage []

- - Defined in src/protobuf/grpc_pb.d.ts:2558

  #### Returns ChatMessage []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2563

  #### Returns Uint8Array

### setMessageList

- setMessageList(value: ChatMessage []): GetChatMessagesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2559

  #### Parameters

  - ##### value: ChatMessage []

  #### Returns GetChatMessagesReply

### toObject

- toObject(includeInstance?: boolean): GetChatMessagesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2564

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetChatMessagesReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetChatMessagesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2567

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetChatMessagesReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetChatMessagesReply, reader: BinaryReader): GetChatMessagesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2568

  #### Parameters

  - ##### message: GetChatMessagesReply

  - ##### reader: BinaryReader

  #### Returns GetChatMessagesReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetChatMessagesReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2566

  #### Parameters

  - ##### message: GetChatMessagesReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetChatMessagesReply ): GetChatMessagesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2565

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetChatMessagesReply

  #### Returns GetChatMessagesReply . AsObject

Generated using TypeDoc